<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="generator" content="https://txt2tags.org">
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
blockquote{margin: 1em 2em; border-left: 2px solid #999;
  font-style: oblique; padding-left: 1em;}
blockquote:first-letter{margin: .2em .1em .1em 0; font-size: 160%; font-weight: bold;}
blockquote:first-line{font-weight: bold;}
body{font-family: sans-serif;}
hr{background-color:#000;border:0;color:#000;}
hr.heavy{height:2px;}
hr.light{height:1px;}
img{border:0;display:block;}
img.right{margin:0 0 0 auto;}
img.center{border:0;margin:0 auto;}
table{border-collapse: collapse;}
table th,table td{padding: 3px 7px 2px 7px;}
table th{background-color: lightgrey;}
table.center{margin-left:auto; margin-right:auto;}
.center{text-align:center;}
.right{text-align:right;}
.left{text-align:left;}
.tableborder,.tableborder td,.tableborder th{border:1px solid #000;}
.underline{text-decoration:underline;}
</style>
</head>
<body>
<header>
<hgroup>
</hgroup>
</header>


<div class="body">

<section~A~>
<h1></h1>
<section>
<h2>Items: Prefixed by plus</h2>

<ol>
<li>Use the plus to prefix list items.
</li>
<li>There must be one space after the plus.
</li>
<li>The list is closed by two consecutive blank lines.
</li>
</ol>

</section>
<section>
<h2>Items: Free leading spacing (indentation)</h2>

     <ol>
     <li>The list can be indented on the source document.
     </li>
     <li>You can use any number of spaces.
     </li>
     <li>The result will be the same.
     </li>
     </ol>

</section>
<section>
<h2>Items: Vertical spacing between items</h2>

<ol>
<li>Let one blank line between the list items.
<p></p>
</li>
<li>It will be maintained on the conversion.
<p></p>
</li>
<li>Some targets don't support this behavior.
<p></p>
</li>
<li>This one was separated by a line with blanks.
  You can also put a blank line inside
<p></p>
  the item contents and it will be preserved.
</li>
</ol>

</section>
<section>
<h2>Items: Exactly ONE space after the plus</h2>

<p>
+This is not a list (no space)
</p>
<p>
+    This is not a list (more than one space)
</p>
<p>
+	This is not a list (a TAB instead the space)
</p>

</section>
<section>
<h2>Items: Catchy cases</h2>

<ol>
<li>- This is a list
</li>
<li>+ This is a list
</li>
<li>: This is a list
</li>
</ol>

</section>
<section>
<h2>Nesting: Creating sublists</h2>

<ol>
<li>This is the "mother" list first item.
</li>
<li>Here is the second, but inside this item,
  <ol>
  <li>there is a sublist, with its own items.
  </li>
  <li>Note that the items of the same sublist
  </li>
  <li>must have the same indentation.
    <ol>
    <li>And this can go on, opening sublists.
      <ol>
      <li>Just add leading spaces before the
      </li>
      <li>plus and sublists will be opened.
      </li>
      <li>The two blank lines closes them all.
      </li>
      </ol>
    </li>
    </ol>
  </li>
  </ol>
</li>
</ol>

</section>
<section>
<h2>Nesting: Free leading spacing (indentation)</h2>

<ol>
<li>When nesting lists, the additional spaces are free.
 <ol>
 <li>You can add just one,
        <ol>
        <li>or many.
          <ol>
          <li>What matters is to put more than the previous.
          </li>
          <li>But remember that the other items of the same list
          </li>
          <li>must use the same indentation.
          </li>
          </ol>
        </li>
        </ol>
 </li>
 </ol>
</li>
</ol>

</section>
<section>
<h2>Nesting: Maximum depth</h2>

<ol>
<li>There is not a depth limit,
  <ol>
  <li>you can go deeper and deeper.
    <ol>
    <li>But some targets may have restrictions.
      <ol>
      <li>The LaTeX maximum is here, 4 levels.
        <ol>
        <li>This one and the following sublists
          <ol>
          <li>are moved up to the level 4
            <ol>
            <li>when converting to LaTeX.
              <ol>
              <li>On the other targets,
                <ol>
                <li>it is just fine
                  <ol>
                  <li>to have a very deep list.
                  </li>
                  </ol>
                </li>
                </ol>
              </li>
              </ol>
            </li>
            </ol>
          </li>
          </ol>
        </li>
        </ol>
      </li>
      </ol>
    </li>
    </ol>
  </li>
  </ol>
</li>
</ol>

</section>
<section>
<h2>Nesting: Reverse doesn't work</h2>

        <ol>
        <li>Reverse nesting doesn't work.
        </li>
        </ol>

      <ol>
      <li>Because a sublist *must* have a mother list.
      </li>
      </ol>

    <ol>
    <li>It's the list concept, not a txt2tags limitation.
    </li>
    </ol>

  <ol>
  <li>All this sublists will be bumped to mother lists.
  </li>
  </ol>

<ol>
<li>At level 1, like this one.
</li>
</ol>

</section>
<section>
<h2>Nesting: Going deeper and back</h2>

<ol>
<li>Level 1
  <ol>
  <li>Level 2
    <ol>
    <li>Level 3
      <ol>
      <li>Level 4
      </li>
      </ol>
    </li>
    <li>Level 3 -- (closed Level 4)
    </li>
    </ol>
  </li>
  <li>Level 2 -- (closed Level 3)
  </li>
  </ol>
</li>
<li>Level 1 -- (closed Level 2)
</li>
</ol>

<ol>
<li>Level 1
  <ol>
  <li>Level 2
    <ol>
    <li>Level 3
      <ol>
      <li>Level 4
      </li>
      </ol>
    </li>
    </ol>
  </li>
  </ol>
</li>
<li>Level 1 -- (closed Level 4, Level 3 and Level 2)
</li>
</ol>

</section>
<section>
<h2>Nesting: Vertical spacing between lists</h2>

<ol>
<li>Level 1
<p></p>
  <ol>
  <li>Level 2 -- blank BEFORE and AFTER (in)
  <p></p>
    <ol>
    <li>Level 3
      <ol>
      <li>Level 4
      </li>
      </ol>
    </li>
    <li>Level 3
    <p></p>
    </li>
    </ol>
  </li>
  <li>Level 2 -- blank BEFORE and AFTER (out)
  <p></p>
  </li>
  </ol>
</li>
<li>Level 1
<p></p>
  <ol>
  <li>Level 2 -- blank BEFORE (spaces) and AFTER (TAB)
  <p></p>
    <ol>
    <li>Level 3
    </li>
    </ol>
  </li>
  </ol>
</li>
</ol>

</section>
<section>
<h2>Nesting: Messing up</h2>

<ol>
<li>Level 1
    <ol>
    <li>Level 2
        <ol>
        <li>Level 3
            <ol>
            <li>Level 4
            </li>
            </ol>
        </li>
        <li>Level 3.5 ???
        </li>
        <li>Level 3
        </li>
        </ol>
    </li>
    <li>Level 2.5 ???
    </li>
    <li>Level 2
    </li>
    </ol>
</li>
<li>Level 1.5 ???
</li>
<li>Level 1
</li>
</ol>

</section>
<section>
<h2>Closing: Two (not so) empty lines</h2>

<ol>
<li>This list is closed by a line with spaces and other with TABs
</li>
</ol>

<ol>
<li>This list is NOT closed by two comment lines
</li>
<li>This list is closed by a line with spaces and TAB,
</li>
<li>then a comment line, then an empty line.
</li>
</ol>

</section>
<section>
<h2>Closing: Empty item closes current (sub)list</h2>

<ol>
<li>Level 1
  <ol>
  <li>Level 2
    <ol>
    <li>Level 3
    </li>
    </ol>
    Level 2
  </li>
  </ol>
  Level 1
</li>
</ol>

<ol>
<li>Empty item with trailing spaces.
</li>
</ol>

<ol>
<li>Empty item with trailing TAB.
</li>
</ol>

</section>
<section>
<h2>Closing: EOF closes the lists</h2>

<ol>
<li>If the end of the file (EOF) is hit,
  <ol>
  <li>all the currently opened list are closed,
    <ol>
    <li>just like when using the two blank lines.
    </li>
    </ol>
  </li>
  </ol>
</li>
</ol>

</section>
</section>
</div>
</body></html>
